runtime (Micro Focus COBOL Java Class Library)
Keywords: mfcobol.runtime class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mfcobol
Class runtime

    java.lang.Object
      com.microfocus.cobol.RuntimeSystem
          mfcobol.runtime

Deprecated. replaced by com.microfocus.cobol.RuntimeSystem

public class runtime
extends RuntimeSystem

Micro Focus Java Support

Since:
  Net Express 3.1, Server Express 2.0.10
Version:
  3.11, 6/28/02
See Also:
  `RuntimeSystem`

Field Summary
`static short` | `A_BLINK` Deprecated. Screen attribute flag
`static short` | `A_BOLD` Deprecated. Screen attribute flag
`static short` | `A_DIM` Deprecated. Screen attribute flag
`static short` | `A_NORMAL` Deprecated. Screen attribute flag
`static short` | `A_REVERSE` Deprecated. Screen attribute flag
`static short` | `A_UNDER` Deprecated. Screen attribute flag
`static int` | `BY_CONTENT` Deprecated. BY_CONTENT is used in non-OO calls to COBOL in the usageDescription array.
`static int` | `BY_REFERENCE` Deprecated. BY_REFERENCE is used in non-OO calls to COBOL in the usageDescription array.
`static int` | `BY_VALUE` Deprecated. BY_VALUE is used in non-OO calls to COBOL in the usageDescription array.
`protected static long` | `cblClassHandle` Deprecated. COBOL proxy class handle, if one exists
`protected long` | `cblInstanceHandle` Deprecated. COBOL proxy instance handle, if one exists

Fields inherited from class com.microfocus.cobol.RuntimeSystem
`isWindows, osName, SRV_CTL_ERRORHAND, SRV_CTL_ERRORHAND_ALL, SRV_CTL_NOCANCEL, SRV_CTL_NONE, SRV_CTL_NOSTOPRUN, SRV_CTL_NOTHREAD, SRV_CTL_THREADTIDY`

Constructor Summary
`runtime()` Deprecated.

Method Summary
`static void` | `ccall(Object retValue, String program, Object[] array, int[] usageDescription)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#ccall(Object,String,Object[],int[])
`static int` | `ccall(String program, Object[] array, int[] usageDescription)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#ccall(String,Object[],int[])
`static void` | `cobaddstr(int attribute, String name)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobaddstr(int,String)
`static void` | `cobaddstr(String name)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobaddstr
`static void` | `cobassocclass(String fileName, Class javaClass)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobassocclass(String,Class)
`static void` | `cobassocclass(String fileName, String javaClass)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobassocclass(String,String)
`static boolean` | `cobcall_boolean(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_byte(String,Object[])
`static Boolean` | `cobcall_Boolean(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Boolean(String,Object[])
`static byte` | `cobcall_byte(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_byte(String,Object[])
`static Byte` | `cobcall_Byte(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Byte(String,Object[])
`static float` | `cobcall_float(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_float(String,Object[])
`static Float` | `cobcall_Float(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Float(String,Object[])
`static int` | `cobcall_int(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_int(String,Object[])
`static Integer` | `cobcall_Integer(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_short(String,Object[])
`static void` | `cobcall_object(Object retValue, String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Object(Object,String,Object[])
`static short` | `cobcall_short(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_short(String,Object[])
`static Short` | `cobcall_Short(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Short(String,Object[])
`static String` | `cobcall_String(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_String(String,Object[])
`static void` | `cobcall(Object retValue, String program, Object[] array, int[] usageDescription)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall(Object,String,Object[],int[])
`static void` | `cobcall(Object retValue, String program, Object[] array, int[] usageDescription, boolean passJNIEnv_and_self)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall(Object,String,Object[],int[],boolean)
`static int` | `cobcall(String program, Object[] array)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall(String,Object[])
`static void` | `cobcancel(String program)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcancel
`static void` | `cobclear()` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobclear
`static int` | `cobcols()` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcols
`static void` | `cobfinalize(Object o)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobfinalize(Object)
`static char` | `cobgetch()` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobgetch
`static String` | `cobgetenv(String name)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobgetenv
`boolean` | `cobinvoke_boolean(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_boolean(String,Object[])
`byte` | `cobinvoke_byte(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_byte(String,Object[])
`char` | `cobinvoke_char(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_char(String,Object[])
`double` | `cobinvoke_double(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_double(String,Object[])
`float` | `cobinvoke_float(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_float(String,Object[])
`int` | `cobinvoke_int(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_int(String,Object[])
`long` | `cobinvoke_long(String methodName, Object[] params)` Deprecated. Invokes a COBOL instance with a set of parameters returning a long
`Object` | `cobinvoke_object(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_object(String,Object[])
`short` | `cobinvoke_short(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_short(String,Object[])
`void` | `cobinvoke_void(String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_void(String,Object[])
`static boolean` | `cobinvokestatic_boolean(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_boolean(Class,String,Object[])
`static byte` | `cobinvokestatic_byte(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_byte(Class,String,Object[])
`static char` | `cobinvokestatic_char(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_char(Class,String,Object[])
`static double` | `cobinvokestatic_double(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_double(Class,String,Object[])
`static float` | `cobinvokestatic_float(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_float(Class,String,Object[])
`static int` | `cobinvokestatic_int(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_int(Class,String,Object[])
`static long` | `cobinvokestatic_long(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_long(Class,String,Object[])
`static Object` | `cobinvokestatic_object(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_object(Class,String,Object[])
`static short` | `cobinvokestatic_short(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_short(Class,String,Object[])
`static void` | `cobinvokestatic_void(Class classObject, String methodName, Object[] params)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_void(Class,String,Object[])
`static int` | `coblines()` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#coblines
`static int` | `cobload(String libName, String name)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobload(String)
`static int` | `cobloadclass(String libName, String fileName)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobloadclass(String,String)
`static int` | `cobloadclass(String libName, String fileName, Class javaClass)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobloadclass(String,String,Class)
`static int` | `cobloadclass(String libName, String fileName, String javaClassname)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobloadclass(String,String,String)
`static void` | `cobmove(int y, int x)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobmove
`static int` | `cobputenv(String name)` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobputenv
`static int` | `cobrescanenv()` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobrescanenv
`static void` | `cobtidy()` Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobtidy
`static void` | `main(String[] args)` Deprecated. Run this class in order to obtain the COBJVM environment variable for the current Java installation Setup CLASSPATH to include com.microfocus.cobol.jar and use: java -Dcom.microfocus.cobol.getcobjvmenv=off com.microfocus.cobol.Runtime

Methods inherited from class com.microfocus.cobol.RuntimeSystem
`cobcall_Object, cobcall, cobcall, cobcall, cobcall, cobload, cobrcall, cobrcall, cobthreadtidy, getCobolRuntimeSupportLibraryName, getSrvCtlDefault, setSrvCtlDefault, updateParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BY_VALUE

    public static final int BY_VALUE

  Deprecated.
  BY_VALUE is used in non-OO calls to COBOL in the usageDescription array. BY_REFERENCE is the default if usageDescription is not used

  See Also:
    `cobcall(Object retValue, String program, Object[] array, int[] usageDescription)`, `ccall(Object retValue, String program, Object[] array, int[] usageDescription)`, `ccall(String program, Object[] array, int[] usageDescription)`, Constant Field Values

### BY_REFERENCE

    public static final int BY_REFERENCE

  Deprecated.
  BY_REFERENCE is used in non-OO calls to COBOL in the usageDescription array. BY_REFERENCE is the default if usageDescription is not used

  See Also:
    `cobcall(Object retValue, String program, Object[] array, int[] usageDescription)`, `ccall(Object retValue, String program, Object[] array, int[] usageDescription)`, `ccall(String program, Object[] array, int[] usageDescription)`, Constant Field Values

### BY_CONTENT

    public static final int BY_CONTENT

  Deprecated.
  BY_CONTENT is used in non-OO calls to COBOL in the usageDescription array. BY_REFERENCE is the default if usageDescription is not used

  See Also:
    `cobcall(Object retValue, String program, Object[] array, int[] usageDescription)`, `ccall(Object retValue, String program, Object[] array, int[] usageDescription)`, `ccall(String program, Object[] array, int[] usageDescription)`, Constant Field Values

### A_NORMAL

    public static final short A_NORMAL

  Deprecated.
  Screen attribute flag

  See Also:
    `cobaddstr(int attribute,String name)`, Constant Field Values

### A_BOLD

    public static final short A_BOLD

  Deprecated.
  Screen attribute flag

  See Also:
    `cobaddstr(int attribute,String name)`, Constant Field Values

### A_UNDER

    public static final short A_UNDER

  Deprecated.
  Screen attribute flag

  See Also:
    `cobaddstr(int attribute,String name)`, Constant Field Values

### A_REVERSE

    public static final short A_REVERSE

  Deprecated.
  Screen attribute flag

  See Also:
    `cobaddstr(int attribute,String name)`, Constant Field Values

### A_BLINK

    public static final short A_BLINK

  Deprecated.
  Screen attribute flag

  See Also:
    `cobaddstr(int attribute,String name)`, Constant Field Values

### A_DIM

    public static final short A_DIM

  Deprecated.
  Screen attribute flag

  See Also:
    `cobaddstr(int attribute,String name)`, Constant Field Values

### cblClassHandle

    protected static final long cblClassHandle

  Deprecated.
  COBOL proxy class handle, if one exists

  See Also:
    Constant Field Values

### cblInstanceHandle

    protected final long cblInstanceHandle

  Deprecated.
  COBOL proxy instance handle, if one exists

  See Also:
    Constant Field Values

Constructor Detail

### runtime

    public runtime()

  Deprecated.

Method Detail

### cobcall

    public static void cobcall(Object retValue,
                               String program,
                               Object[] array,
                               int[] usageDescription,
                               boolean passJNIEnv_and_self)
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall(Object,String,Object[],int[],boolean)

  Calls a COBOL function with a set of parameters which returns an object * as a parameter

  Parameters:
    `retValue` - an Object that contains the return value
    `program` - a string
    `array` - array of objects
    `usageDescription` - array of usageDescriptions for array of objects
    `passJNIEnv_and_self` - - pass JNIENv *, jclass self to COBOL program
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall(Object,String,Object[],int[],boolean)`

### cobcall

    public static void cobcall(Object retValue,
                               String program,
                               Object[] array,
                               int[] usageDescription)
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall(Object,String,Object[],int[])

  Calls a COBOL function with a set of parameters which returns an object * as a parameter

  Parameters:
    `retValue` - an Object that contains the return value
    `program` - a string
    `array` - array of objects
    `usageDescription` - array of usageDescriptions for array of objects
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall(Object,String,Object[],int[])`

### ccall

    public static void ccall(Object retValue,
                             String program,
                             Object[] array,
                             int[] usageDescription)
                      throws COBOLException,
                             Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#ccall(Object,String,Object[],int[])

  Calls a c function with a set of parameters which returns an object as a parameter

  Parameters:
    `retValue` - an Object that contains the return value
    `program` - a string
    `array` - array of objects
    `usageDescription` - array of usageDescriptions for array of objects
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.ccall(Object,String,Object[],int[])`

### ccall

    public static int ccall(String program,
                            Object[] array,
                            int[] usageDescription)
                     throws COBOLException,
                            Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#ccall(String,Object[],int[])

  Calls a c function with a set of parameters which returns an object as a parameter

  Parameters:
    `program` - a string
    `array` - array of objects
    `usageDescription` - array of usageDescriptions for array of objects
  Returns:
    return-code
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.ccall(String,Object[],int[])`

### cobcall_object

    public static void cobcall_object(Object retValue,
                                      String program,
                                      Object[] array)
                               throws COBOLException,
                                      Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Object(Object,String,Object[])

  Calls a COBOL program with a set of parameters which returns an object

  Parameters:
    `retValue` - an Object that contains the return value
    `program` - a string
    `array` - array of objects
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_Object(Object,String,Object[])`

### cobgetenv

    public static String cobgetenv(String name)
                            throws COBOLException,
                                   Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobgetenv

  Allows you to find a COBOL/System environment variable

  Parameters:
    `name` - A name specifying the environment variable to be searched for and returned.
  Returns:
    String
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobgetenv(java.lang.String)`

### cobputenv

    public static int cobputenv(String name)
                         throws COBOLException,
                                Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobputenv

  Allows you to dynamically change the COBOL environment a RuntimeSystem

  Parameters:
    `name` - A string to placed into the environment, with the format NAME=VALUE
  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobputenv(java.lang.String)`

### cobclear

    public static void cobclear()
                         throws COBOLException,
                                Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobclear

  Clears the screen and positions the cursor at line 0, column 0 strings.

  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobclear()`

### cobaddstr

    public static void cobaddstr(String name)
                          throws COBOLException,
                                 Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobaddstr

  Displays the specified string on the screen at the virutal cursor's current position.

  Parameters:
    `name` - text to be displayed on the screen
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobaddstr(java.lang.String)`

### cobaddstr

    public static void cobaddstr(int attribute,
                                 String name)
                          throws COBOLException,
                                 Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobaddstr(int,String)

  Displays the specified string on the screen at the virutal cursor's current position.

  Parameters:
    `attribute` - screen attribute to display the text in
    `name` - text to be displayed on the screen
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobaddstr(int,String)`

### cobgetch

    public static char cobgetch()
                         throws COBOLException,
                                Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobgetch

  Gets a character from the keyboard

  Returns:
    char
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobgetch()`

### cobcols

    public static int cobcols()
                       throws COBOLException,
                              Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcols

  Returns the number of columns on the screen

  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcols()`

### coblines

    public static int coblines()
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#coblines

  Returns the number of lines on the screen

  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.coblines()`

### cobmove

    public static void cobmove(int y,
                               int x)
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobmove

  Move the curstor to specific row,column.

  Parameters:
    `y` - row
    `x` - column
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobmove(int, int)`

### cobrescanenv

    public static int cobrescanenv()
                            throws COBOLException,
                                   Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobrescanenv

  Causes the RuntimeSystem to rescan the environment for COBOL environment strings.

  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobrescanenv()`

### cobcancel

    public static void cobcancel(String program)
                          throws COBOLException,
                                 Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcancel

  Causes the RuntimeSystem to CANCEL the program specified.

  Parameters:
    `program` - name of program to be CANCEL'ed
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcancel(java.lang.String)`

### cobtidy

    public static void cobtidy()
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobtidy

  Causes the RuntimeSystem to tidy itself up. WARNING: No COBOL code should be called after the use of this method.

  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobtidy()`

### cobcall_int

    public static int cobcall_int(String program,
                                  Object[] array)
                           throws COBOLException,
                                  Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_int(String,Object[])

  Calls a COBOL program with a set of parameters which returns a int

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_int(String,Object[])`

### cobcall

    public static int cobcall(String program,
                              Object[] array)
                       throws COBOLException,
                              Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall(String,Object[])

  Calls a COBOL program with a set of parameters which returns a int

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall(String,Object[])`

### cobcall_byte

    public static byte cobcall_byte(String program,
                                    Object[] array)
                             throws COBOLException,
                                    Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_byte(String,Object[])

  Calls a COBOL program with a set of parameters which returns a String

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    byte
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_byte(String,Object[])`

### cobcall_boolean

    public static boolean cobcall_boolean(String program,
                                          Object[] array)
                                   throws COBOLException,
                                          Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_byte(String,Object[])

  Calls a COBOL program with a set of parameters which returns a boolean

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    boolean
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_byte(String,Object[])`

### cobcall_short

    public static short cobcall_short(String program,
                                      Object[] array)
                               throws COBOLException,
                                      Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_short(String,Object[])

  Calls a COBOL program with a set of parameters which returns a short

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    short
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_short(String,Object[])`

### cobcall_float

    public static float cobcall_float(String program,
                                      Object[] array)
                               throws COBOLException,
                                      Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_float(String,Object[])

  Calls a COBOL program with a set of parameters which returns a float

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    float
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_float(String,Object[])`

### cobcall_Integer

    public static Integer cobcall_Integer(String program,
                                          Object[] array)
                                   throws Exception,
                                          COBOLException

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_short(String,Object[])

  Calls a COBOL program with a set of parameters which returns a Integer

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    String
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_short(String,Object[])`

### cobcall_Byte

    public static Byte cobcall_Byte(String program,
                                    Object[] array)
                             throws Exception,
                                    COBOLException

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Byte(String,Object[])

  Calls a COBOL program with a set of parameters which returns a Byte

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    Boolean
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_Byte(String,Object[])`

### cobcall_Boolean

    public static Boolean cobcall_Boolean(String program,
                                          Object[] array)
                                   throws Exception,
                                          COBOLException

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Boolean(String,Object[])

  Calls a COBOL program with a set of parameters which returns a Boolean

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    Boolean
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_Boolean(String,Object[])`

### cobcall_Short

    public static Short cobcall_Short(String program,
                                      Object[] array)
                               throws Exception,
                                      COBOLException

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Short(String,Object[])

  Calls a COBOL program with a set of parameters which returns a Short

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    Short
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_Short(String,Object[])`

### cobcall_Float

    public static Float cobcall_Float(String program,
                                      Object[] array)
                               throws Exception,
                                      COBOLException

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_Float(String,Object[])

  Calls a COBOL program with a set of parameters which returns a Float

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    Float
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_Float(String,Object[])`

### cobcall_String

    public static String cobcall_String(String program,
                                        Object[] array)
                                 throws Exception,
                                        COBOLException

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobcall_String(String,Object[])

  Calls a COBOL program with a set of parameters which returns a String

  Parameters:
    `program` - a string
    `array` - array of objects
  Returns:
    String
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobcall_String(String,Object[])`

### cobassocclass

    public static void cobassocclass(String fileName,
                                     Class javaClass)

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobassocclass(String,Class)

  Associates a Java class and COBOL class

  Parameters:
    `fileName` - file name of COBOL class
    `javaClass` - Java class
  See Also:
    `RuntimeSystem.cobassocclass(String,Class)`

### cobassocclass

    public static void cobassocclass(String fileName,
                                     String javaClass)

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobassocclass(String,String)

  Associates a Java class and COBOL class

  Parameters:
    `fileName` - file name of COBOL class
    `javaClass` - full name of Java class
  See Also:
    `RuntimeSystem.cobassocclass(String,String)`

### cobloadclass

    public static int cobloadclass(String libName,
                                   String fileName)

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobloadclass(String,String)

  Loads a COBOL library and/or a class within that library. Called in the static initializer for any class that inherits from RuntimeSystem. Used only if the full Java class name is identical to the COBOL file name

  Parameters:
    `libName` - library name, if required
    `fileName` - file name of COBOL class
  Returns:
    int - success value (0 for success)
  See Also:
    `cobloadclass(String libName, String fileName, Class javaClass)`, `cobloadclass(String libName, String fileName, String javaClassname)`, `RuntimeSystem.cobloadclass(String,String)`

### cobloadclass

    public static int cobloadclass(String libName,
                                   String fileName,
                                   Class javaClass)

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobloadclass(String,String,Class)

  Loads a COBOL library and/or a class within that library and associates it with a particular Java class. Called in the static initializer for any class that inherits from RuntimeSystem. Used when a non-default class loader loads the class.
  Example:

       static {
       cobloadclass("DllName", "MyCOBOLClass", MyPackage.MyJavaClass.class));
       }

  Parameters:
    `libName` - library name, if required
    `fileName` - file name of COBOL class
    `javaClass` - Java class
  Returns:
    int - success value (0 for success)
  See Also:
    `cobloadclass(String libName, String fileName)`, `cobloadclass(String libName, String fileName, String javaClassname)`, `RuntimeSystem.cobloadclass(String,String,Class)`

### cobloadclass

    public static int cobloadclass(String libName,
                                   String fileName,
                                   String javaClassname)

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobloadclass(String,String,String)

  Loads a COBOL library and/or a class within that library and associates it with a particular Java class of a given name. Called in the static initializer for any class that inherits from RuntimeSystem.
  Example:

       static {
       cobloadclass("DllName", "MyCOBOLClass", "MyPackage.MyJavaClass");
       }

  Parameters:
    `libName` - library name, if required
    `fileName` - file name of COBOL class
    `javaClassname` - full name of Java class
  Returns:
    int - success value (0 for success)
  See Also:
    `cobloadclass(String libName, String fileName)`, `cobloadclass(String libName, String fileName, Class javaClass)`, `RuntimeSystem.cobloadclass(String,String,String)`

### cobload

    public static int cobload(String libName,
                              String name)

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobload(String)

  Loads a COBOL library/shared object/dll and if specified calls the program name with no parameters.

  Parameters:
    `libName` - library name
    `name` - of COBOL program
  Returns:
    int - success value (0 for success)
  See Also:
    `RuntimeSystem.cobload(String)`

### cobinvoke_boolean

    public boolean cobinvoke_boolean(String methodName,
                                     Object[] params)
                              throws COBOLException,
                                     Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_boolean(String,Object[])

  Invokes a COBOL instance with a set of parameters returning a boolean

  Overrides:
    `cobinvoke_boolean` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    boolean
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_boolean(String,Object[])`

### cobinvoke_byte

    public byte cobinvoke_byte(String methodName,
                               Object[] params)
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_byte(String,Object[])

  Invokes a COBOL instance with a set of parameters returning a byte

  Overrides:
    `cobinvoke_byte` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    byte
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_byte(String,Object[])`

### cobinvoke_char

    public char cobinvoke_char(String methodName,
                               Object[] params)
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_char(String,Object[])

  Invokes a COBOL instance with a set of parameters returning a char

  Overrides:
    `cobinvoke_char` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    char
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_char(String,Object[])`

### cobinvoke_short

    public short cobinvoke_short(String methodName,
                                 Object[] params)
                          throws COBOLException,
                                 Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_short(String,Object[])

  Invokes a COBOL instance with a set of parameters returning a short

  Overrides:
    `cobinvoke_short` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    short
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_short(String,Object[])`

### cobinvoke_int

    public int cobinvoke_int(String methodName,
                             Object[] params)
                      throws COBOLException,
                             Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_int(String,Object[])

  Invokes a COBOL instance with a set of parameters returning an int

  Overrides:
    `cobinvoke_int` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_int(String,Object[])`

### cobinvoke_long

    public long cobinvoke_long(String methodName,
                               Object[] params)
                        throws COBOLException,
                               Exception

  Deprecated.
  Invokes a COBOL instance with a set of parameters returning a long

  Overrides:
    `cobinvoke_long` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    long
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception

### cobinvoke_float

    public float cobinvoke_float(String methodName,
                                 Object[] params)
                          throws COBOLException,
                                 Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_float(String,Object[])

  Invokes a COBOL instance with a set of parameters returning a float

  Overrides:
    `cobinvoke_float` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    float
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_float(String,Object[])`

### cobinvoke_double

    public double cobinvoke_double(String methodName,
                                   Object[] params)
                            throws COBOLException,
                                   Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_double(String,Object[])

  Invokes a COBOL instance with a set of parameters returning a double

  Overrides:
    `cobinvoke_double` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    boolean
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_double(String,Object[])`

### cobinvoke_void

    public void cobinvoke_void(String methodName,
                               Object[] params)
                        throws COBOLException,
                               Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_void(String,Object[])

  Invokes a COBOL instance with a set of parameters

  Overrides:
    `cobinvoke_void` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvoke_void(String,Object[])`

### cobinvoke_object

    public Object cobinvoke_object(String methodName,
                                   Object[] params)
                            throws COBOLException,
                                   Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvoke_object(String,Object[])

  Invokes a COBOL instance with a set of parameters returning an object

  Overrides:
    `cobinvoke_object` in class `RuntimeSystem`
  Parameters:
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    Object
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception

### cobinvokestatic_boolean

    public static boolean cobinvokestatic_boolean(Class classObject,
                                                  String methodName,
                                                  Object[] params)
                                           throws COBOLException,
                                                  Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_boolean(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning a boolean

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    boolean
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_boolean(Class,String,Object[])`

### cobinvokestatic_byte

    public static byte cobinvokestatic_byte(Class classObject,
                                            String methodName,
                                            Object[] params)
                                     throws COBOLException,
                                            Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_byte(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning a byte

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    byte
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_byte(Class,String,Object[])`

### cobinvokestatic_char

    public static char cobinvokestatic_char(Class classObject,
                                            String methodName,
                                            Object[] params)
                                     throws COBOLException,
                                            Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_char(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning a char

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    char
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_char(Class,String,Object[])`

### cobinvokestatic_short

    public static short cobinvokestatic_short(Class classObject,
                                              String methodName,
                                              Object[] params)
                                       throws COBOLException,
                                              Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_short(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning a short

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    short
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_short(Class,String,Object[])`

### cobinvokestatic_int

    public static int cobinvokestatic_int(Class classObject,
                                          String methodName,
                                          Object[] params)
                                   throws COBOLException,
                                          Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_int(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning an int

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    int
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_int(Class,String,Object[])`

### cobinvokestatic_long

    public static long cobinvokestatic_long(Class classObject,
                                            String methodName,
                                            Object[] params)
                                     throws COBOLException,
                                            Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_long(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning a long

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    long
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_long(Class,String,Object[])`

### cobinvokestatic_float

    public static float cobinvokestatic_float(Class classObject,
                                              String methodName,
                                              Object[] params)
                                       throws COBOLException,
                                              Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_float(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning a float

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    float
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_float(Class,String,Object[])`

### cobinvokestatic_double

    public static double cobinvokestatic_double(Class classObject,
                                                String methodName,
                                                Object[] params)
                                         throws COBOLException,
                                                Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_double(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning a double

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    boolean
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_double(Class,String,Object[])`

### cobinvokestatic_void

    public static void cobinvokestatic_void(Class classObject,
                                            String methodName,
                                            Object[] params)
                                     throws COBOLException,
                                            Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_void(Class,String,Object[])

  Invokes a COBOL class with a set of parameters

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_void(Class,String,Object[])`

### cobinvokestatic_object

    public static Object cobinvokestatic_object(Class classObject,
                                                String methodName,
                                                Object[] params)
                                         throws COBOLException,
                                                Exception

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobinvokestatic_object(Class,String,Object[])

  Invokes a COBOL class with a set of parameters returning an object

  Parameters:
    `classObject` - the Java class
    `methodName` - the method to invoke
    `params` - an array of objects containg the method parameters
  Returns:
    Object
  Throws:
    `COBOLException` - - COBOL Exception
    `Exception` - - NON COBOL Exception
  See Also:
    `RuntimeSystem.cobinvokestatic_object(Class,String,Object[])`

### cobfinalize

    public static void cobfinalize(Object o)
                            throws Throwable

  Deprecated. replaced by com.microfocus.cobol.RuntimeSystem#cobfinalize(Object)

  Destroys a COBOL proxy object

  Parameters:
    `o` - an object which has a COBOL proxy associated with it
  Throws:
    `Throwable` - - throwable
  See Also:
    `RuntimeSystem.cobfinalize(Object)`

### main

    public static void main(String[] args)

  Deprecated.
  Description copied from class: `RuntimeSystem`
  Run this class in order to obtain the COBJVM environment variable for the current Java installation
  Setup CLASSPATH to include com.microfocus.cobol.jar and use:
  java -Dcom.microfocus.cobol.getcobjvmenv=off com.microfocus.cobol.Runtime

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.